1. AC Question's Avatar
    Just bought a new Nexus 5x and upon opening the Android Wear app it tells me my Google app needs updating, the Google app page on the play store says that "Your device isnt compatible with this version"...

    Thanks in advance
    02-18-2016 01:57 PM

Similar Threads

  1. Replies: 17
    Last Post: 02-22-2016, 02:24 PM
  2. Help with "phone cloud"
    By Zapme2 in forum LG G4
    Replies: 4
    Last Post: 02-18-2016, 08:34 PM
  3. do I need google + for hangouts
    By warp 1 in forum Ask a Question
    Replies: 1
    Last Post: 02-18-2016, 02:14 PM
  4. does the pixel c come with gorilla glass 4?
    By AC Question in forum Ask a Question
    Replies: 0
    Last Post: 02-18-2016, 12:53 PM
LINK TO POST COPIED TO CLIPBOARD